public class NhacNhac extends Decorador {
	public NhacNhac(ComponenteTexto comp) {
		super(comp);
	}
	public String getTexto() {
		String original = super.getTexto();
		original = original.replace('z',(char)('a'-1));
		original = original.replace('Z',(char)('A'-1));
		for (int i = 0; i < 256; i++) {
			if (i >= 'A' && i <= 'Z' || 
				i >= 'a' && i <= 'z') {
					original = original.replace((char)i,
						   						(char)(i+1));
			}
		}
		return original;
	}
}
